Bug 99314 - UTF-8 changes in perl 5.8.0 break Spamassassin
Summary: UTF-8 changes in perl 5.8.0 break Spamassassin
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: spamassassin   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL: http://spamassassin.taint.org/faq/ind...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-17 14:05 UTC by lars
Modified: 2007-03-27 04:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 16:59:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lars 2003-07-17 14:05:19 UTC
Description of problem:

Spamassassin was occasionally logging complaints of the form:

Jul 17 09:22:17 host spamd[26620]: Malformed UTF-8 character (unexpected end of
string) at /usr/bin/spamd line 551, <STDIN> line 115.

This was also resulting in truncated email messages.

Version-Release number of selected component (if applicable):

2.44

Additional info:

According to the Spamassassin FAQ, this can be solved by adding:

  LANG=en_US; export LANG

to /etc/init.d/spamassassin.

Comment 1 Chip Turner 2003-07-23 16:58:55 UTC
this should be fixed with the perl and spamassassin in rawhide


Note You need to log in before you can comment on or make changes to this bug.